// 将日期格式化为带-的8位形式
export function formatterDate(date) {
  if (date != undefined && date != 0) {
      var dateParam = date + '';
      return dateParam.substring(0, 4) + '-' + dateParam.substring(4, 6) + '-' + dateParam.substring(6, 8);
  }
}

export function onOpenModal(text, dealId, product) {
  const data = {
    id: 1, // id必填 后续通过此id可修改弹窗信息
    text, // 标题
    href: '/dcs/dcs/dcsInput/index', // 路由 对应路由表里配置的路由
    loadMode: 'iframe', // 加载方式 iframe
    width: 750, //宽 必须是数字类型
    height: 516 -45,
    customclass: 'user-modifyPwd', //自定义类名
    maximize: true, //最大化功能
    minimize: true, //最小化功能
    draggable: true, //拖拽功能
    modal: true, //蒙层
    appendToBody: true, //是否添加进body
    closeonclickModal: false, //点击蒙层是否关闭弹窗
    extraParams: {
      // 额外参数
      // loginId: Eui.share.get('loginId')，// 获取登陆loginId
      dealId,
      product
    }
  };
  Eui.openVueWin(data);
}